
#include <Spectre/System/ByteOrder.h>

namespace sp { namespace system
{

uint16_t ltoh16(const uint8_t* bytes)
{
	return bytes[0] | (bytes[1] << 8);
}

uint32_t ltoh32(const uint8_t* bytes)
{
	return bytes[0]
		| (bytes[1] << 8)
		| (bytes[2] << 16)
		| (bytes[3] << 24);
}

} } // namespace sp::system
